@import '../base/variables';

// Single line ellipses
%text-ellipses {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

// Multiline ellipses
%block-ellipsis {
  display: -webkit-box;
  overflow: hidden;
  max-width: 100%;
  margin: 0 auto;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
}

// Use where you need preformatted text
%nextline {
  white-space: pre-line;
}

// Show Scrollbar on hover
%show-scrollbar-on-hover {
  &::-webkit-scrollbar {
    &-thumb {
      background-color: transparent;
    }
  }

  &:hover {
    &::-webkit-scrollbar {
      &-thumb {
        background-color: #d2d3d4;
      }
    }
  }
}

/*
* Link Styles
*/
.link-cta {
  font-family: map-get($font-families, primary);
  font-size: 14px;
  font-weight: map-get($typography-weights, regular);
  color: #0075a3;

  &:hover {
    color: #0075a3;
  }
}

/*
* Relatient icons font
*/
%icon {
  font-family: 'relatient' !important;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  line-height: 1;
  text-transform: none;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
